# xslt:type-available

Function signature

$type | xs:string
Result | xs:boolean

XSLT 2.0 Specification

Determines whether a type with a given name is available in the static context. The current implementation has a restriction: if the argument is known only at run-time, then the function tests whether the type exists in the run-time configuration, which does not necessarily prove that it was present in the static context.

In Saxon the `type-available()` function can be used to check for the availability of Java classes. For example `type-available('jt:java.util.HashMap')` returns true, where the prefix `jt` is bound to the URI `http://saxon.sf.net/java-type`.

Next